/*
    RawSpeed - RAW file decoder.

    Copyright (C) 2016-2018 Roman Lebedev

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#pragma once

#if defined(__SSE2__)
#define WITH_SSE2
#else
/* #undef WITH_SSE2 */
#endif

#define HAVE_PUGIXML

#define HAVE_PTHREAD

#define HAVE_OPENMP

#define HAVE_PUGIXML

#define HAVE_ZLIB

#define HAVE_JPEG
#define HAVE_JPEG_MEM_SRC

#define HAVE_CXX_THREAD_LOCAL
/* #undef HAVE_GCC_THREAD_LOCAL */

// which aligned memory allocation function is available, if any?
// only the first one found will be enabled
#define HAVE_POSIX_MEMALIGN
/* #undef HAVE_ALIGNED_ALLOC */
/* #undef HAVE_MM_MALLOC */
/* #undef HAVE_ALIGNED_MALLOC */

/* #undef RAWSPEED_STANDALONE_BUILD */
#ifdef RAWSPEED_STANDALONE_BUILD
#define CMAKE_SOURCE_DIR "/tmp/B.p42mVT/BUILD/darktable-2.6.0"
#else
// If rawspeed is being built as part of some larger build, we can not retain
// the CMAKE_SOURCE_DIR, because that would affect the reproducible builds.
#endif

// see http://clang.llvm.org/docs/LanguageExtensions.html
#ifndef __has_feature      // Optional of course.
#define __has_feature(x) 0 // Compatibility with non-clang compilers.
#endif
#ifndef __has_extension
#define __has_extension __has_feature // Compatibility with pre-3.0 compilers.
#endif
